include:
  - project: 'REPLACE_EXAMPLE_GITLAB_PROJECTNAME'
    file: '/gitlab-ci/REPLACE_EXAMPLE_GITLAB_FOLDERNAME/.base-ci.yml'

variables:
  PROJECT_NAME: "REPLACE_EXAMPLE_PROJECTNAME"

build:
  stage: build
  extends: .gitlab_build_template
  script:
    - curl --remote-name $GITLAB_URL_PREFIX/$GITLAB_TEMPLATE_PREFIX/REPLACE_EXAMPLE_GITLAB_FOLDERNAME/raw/master/setup.sh
    - chmod +x setup.sh
    - ./setup.sh -p "$PROJECT_NAME" -r "$GITLAB_ARTIFACT_FOLDER_NAME" -u "$GITLAB_URL_PREFIX" -t "$GITLAB_TEMPLATE_PREFIX" -l "$GITLAB_DOTFILES_LOCATION" -g "$GITLAB_GROUP_PREFIX"
    - rm setup.sh
  only:
    variables:
      - $CI_COMMIT_MESSAGE =~ /^REPLACE_EXAMPLE_GITLAB_FOLDERNAME-.*$/

deploy:
  stage: deploy
  extends: .gitlab_deploy_template
  only:
    variables:
      - $CI_COMMIT_MESSAGE =~ /^REPLACE_EXAMPLE_GITLAB_FOLDERNAME-.*$/